//
//    RegIO Test Application
//
//    Copyright 2013 AFI Electronics
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include <exception>
#include <QDebug>
#include "mlink/regiomlink.h"
#include "regio/mlinkdevice.h"

void test(mlink::MlinkDevice *mlinkDevice)
{
    qDebug() << "Device ID: " << hex << mlinkDevice->regRead(0x0042); // device ID
}

int main (int argc, char **argv)
{
    try {
        mlink::RegIOMLink link;
        link.reset();
        int address = 0xFEFE;
        mlink::MlinkDevice device(link, address);
        test(&device);
    }
    catch (std::exception &e) {
        qDebug() << "Exception caught: '" << e.what() << "'";
    }
 }
